#include <eosim/dist/distribution.hpp>
#include <eosim/dist/numbergeneratorfactory.hpp>

using namespace eosim::dist;


Distribution::Distribution (GenType gen) : generator(NumberGeneratorFactory::make(gen)) {
	/**
	* \note The programmer could have different distributions with different generators. All distributions have there own generator, is an exclusive private member.
	*/
}

Distribution::~Distribution () {
    delete generator;
}

void Distribution::setSeed (unsigned long seed) {
    generator->setSeed(seed);
}


