#include <eosim/dist/numbergeneratorfactory.hpp>
#include <eosim/dist/mt19937.hpp>
#include <cassert>

using namespace eosim::dist;


NumberGenerator* NumberGeneratorFactory::make(GenType type) {
    switch (type) {
	case MT19937:
		return new Mt19937();	
    default:
		assert(false);
        return 0;
    }
}

