#include <eosim/statics/observation.hpp>

using namespace eosim::statics;
using namespace std;

Observation::Observation(std::string name) : Histogram(name + " - Observation Histogram") {}

void Observation::log(double value) {
	/**
	 * \note This operation increments by one the observations of value.
	 * For larger increments, perform multiple logs.
	*/
	Histogram::log(value, 1);
}

