#include <eosim/dist/uniformdist.hpp>

using namespace eosim::dist;


UniformDist::UniformDist(GenType gen, double low, double upper):
                         Distribution(gen), low(low), upper(upper) {} 

UniformDist::~UniformDist() {}

double UniformDist::sample() {
	/**
	* \note The method used for sampling is the inverse transform method.
	*/
    return low + (upper-low)*generator->nextDouble();
}

